Bug 196378 - Review Request: kdegraphics-extras: Extras, including kuickshow
Review Request: kdegraphics-extras: Extras, including kuickshow
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-22 16:16 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 09:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-06-22 16:16:28 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdegraphics-extras.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdegraphics-extras-3.5.3-3.src.rpm
Description:
Extra graphics applications for the K Desktop Environment, including:
* kuickshow (quick picture viewer)
* OpenEXR kfile plugin
Comment 1 Rex Dieter 2006-06-22 16:17:28 EDT
This is targetted for fc6+
Comment 2 Parag AN(पराग) 2006-06-23 01:20:53 EDT
Rex i got error in mock build
error: unpacking of archive failed on file
/builddir/build/SOURCES/kdegraphics-3.5.3.tar.bz2;449b7b15: cpio: read failed -
Invalid argument
Error installing srpm: kdegraphics-extras-3.5.3-3.src.rpm

Comment 3 Rex Dieter 2006-06-23 07:24:00 EDT
Unpacking/packing the srpm (in mock) WORKSFORME (using mock-0.4 on rhel4 host):

/sbin/runuser -c 'rpm -Uvh --nodeps
/builddir/build/originals/kdegraphics-extras-3.5.3-3.src.rpm' mockbuild
warning: /builddir/build/originals/kdegraphics-extras-3.5.3-3.src.rpm: V3 DSA
signature: NOKEY, key ID ff6382fa
kdegraphics-extras          warning: user rdieter1 does not exist - using root
warning: group staff does not exist - using root
warning: user rdieter1 does not exist - using root
warning: group staff does not exist - using root
warning: user rdieter1 does not exist - using root
warning: group staff does not exist - using root
warning: user rdieter1 does not exist - using root
warning: group staff does not exist - using root
warning: user rdieter1 does not exist - using root
warning: group staff does not exist - using root
##################################################
warning: Could not canonicalize hostname: foobar...
Building target platforms: i386
Building for target i386
Wrote: /builddir/build/SRPMS/kdegraphics-extras-3.5.3-3.el4.src.rpm
Comment 4 Jonathan Underwood 2006-06-29 07:44:56 EDT
Can i make an appeal to you to include kpovmodeler which is not currently built
a part of the core kedgraphics package 

(see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=179589)

Although povray is incompatible with core/extras licensing requirements, I see
no reason why kpovmodeler would be. (Granted, it won't function unless povray is
installed.)
Comment 5 Dennis Gilmore 2006-06-29 09:50:10 EDT
I will review this
Comment 7 Dennis Gilmore 2006-07-10 14:51:33 EDT
ok  now that imlib is in extras i can review this

[dennis@files extrasreviews]$ 
rpmlint /var/lib/mock/fedora-development-x86_64-core/result/kdegraphics-extras-3.5.3-3.fc6.x86_64.rpm
W: kdegraphics-extras incoherent-version-in-changelog 7:3.5.3-3 3.5.3-3.fc6
E: kdegraphics-extras invalid-soname /usr/lib64/libkdeinit_kuickshow.so 
libkdeinit_kuickshow.so

you have removed the epoch  from the package  but left it in the changelog 
entry.

[dennis@files SPECS]$ md5sum ../SOURCES/kdegraphics-3.5.3.tar.bz2
56bd5537521dc94633f8effaace523cb  ../SOURCES/kdegraphics-3.5.3.tar.bz2

matches what is posted on http://www.kde.org/download/ kdegraphics-3.5.3  
6.9MB  56bd5537521dc94633f8effaace523cb 

builds fine in mock 
Comment 8 Rex Dieter 2006-07-10 14:57:48 EDT
> you have removed the epoch  from the package  but left it in the changelog 
> entry.

A side-effect of my using a single specfile for both kdegraphics and 
kdegraphics-extras, and choosing to omit the Epoch from the new package.
Comment 9 Rex Dieter 2006-07-24 15:03:51 EDT
Dennis, any more MUSTFIX items?
Comment 10 Dennis Gilmore 2006-07-25 07:18:06 EDT
I think it looks good
APPROVED
Comment 11 Rex Dieter 2006-07-25 09:39:54 EDT
Thanks, importing...

Note You need to log in before you can comment on or make changes to this bug.